cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 1 PHP 7.2 upgrade problems

Highlighted

Magento 1 PHP 7.2 upgrade problems

We are on version 1..9.0.1 we are trying to upgrade to the latest version but we have PHP 7.2 installed on the server and Magento Connect will not let us upgrade due to PHP version. Is there some way to fix this? 

Thanks!

4 REPLIES 4
Highlighted

Re: Magento 1 PHP 7.2 upgrade problems

Hi @FTSSMike

Php 7.2.x is only supported for Magento Open Source (Community) releases 1.9.2.x up to Magento 1.9.3.x. So you need to update the Magento and then you will be able to run it with Php 7.2.x.

Also for more information, check this link: https://community.magento.com/t5/News-Announcements/PHP-7-2-Support-Patches-for-Magento-1-are-now-av...

if issue solved,Click Kudos & Accept as Solution
Highlighted

Re: Magento 1 PHP 7.2 upgrade problems

that's the problem I cant upgrade Magento since 7.2 is already there. 

Highlighted

Re: Magento 1 PHP 7.2 upgrade problems

@FTSSMikeDo you have any other environment like local setup, staging etc with lower or compatible version of 1.9.0.x? If yes then perform the upgrade on that environment and push the code to the server you mentioned.

 

Upgrade is not working or will not work as PHP version is not compatible with the version of your Magento. Another option can be lower the PHP version on the server. Upgrade your Magento. Once Magento upgrade happens you can upgrade the PHP version to 7.2.

 

Problem solved? Please give 'Kudos' and accept 'Answer as Solution'.

- Tarandeep
Problem solved?Please give 'Kudos' and accept 'Answer as Solution'.
Highlighted

Re: Magento 1 PHP 7.2 upgrade problems

right now it runs fine on the old version of Magento and php 7.2 but the upgrade will not complete because of the PHP version. I will look into the downgrade of PHP thanks